apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: prometheus-0.0.0-974cabd0
  namespace: asag
spec:
  clusters:
    - flags:
        - from: value
          key: v1_role
          to: label
          value: prometheus
        - from: value
          key: delay_final_config
          to: annotation
          value: true
      name: prometheus
      podspec:
        containers:
          - image: aep/base_jammy
            name: prometheus
      provides:
        - exposed: true
          name: prometheus
          network: loadbalanced
          servicespec:
            ports:
              - name: prometheus-http
                port: 443
                protocol: TCP
                targetPort: 9090
      sizing:
        increment: 1
        initial: 3
        maximum: 10
        minimum: 1
  dependencies:
    operator:
      name: prometheus-operator
      vendor: asag
      version: 0.0.1
  includes:
    - name: defaults-service
      vendor: asag
      version: 0.3.1
  name: prometheus
  settings:
    - name: environment
      schema:
        default: prometheus_prod
  version: 0.0.0-974cabd0
